<?php

	/*
	*	Gekko - Open Source Web Development Framework
	*	------------------------------------------------------------------------
	*	Copyright (C) 2004-2006, J. Carlos Nieto <xiam@users.sourceforge.net>
	*	This program is Free Software.
	*
	*	@package	Gekko
	*	@license	http://www.gnu.org/copyleft/gpl.html GNU/GPL License 2.0
	*	@author		J. Carlos Nieto <xiam@users.sourceforge.net>
	*	@version	CVS: $Id: random.php,v 1.1.1.1 2006/02/20 21:52:22 xiam Exp $
	*	@link		http://www.gekkoware.org
	*/

	if (!defined("IN-BLOCK")) die();

	/*
	<%%>
	<?xml version="1.0" encoding="UTF-8"?>
	<blockscript>
		<info lang="en">
			<title>Random item</title>
			<description>Shows a random item from a random download category</description>
			<author><![CDATA[xiam &lt;<a href="mailto:xiam@users.sourceforge.net">xiam@users.sourceforge.net</a>&gt;]]></author>
			<homepage><![CDATA[<a href="http://www.gekkoware.org">http://www.gekkoware.org</a>]]></homepage>
		</info>
		<variable name="items">3</variable>
	</blockscript>
	<%%>
	*/

	LoadLib (
		"downloads"
	);

	$db =& $GLOBALS["db"];

	$cat_lock = "(downloadlink = '".implode("' OR downloadlink ='", Downloads::allowedCategories())."')";

	$q = $db->query("SELECT id, title, description, thumbnail, thumbnailsize, authorid
	FROM ".db_table("download_item")."
	WHERE {$cat_lock}
	ORDER BY RAND() LIMIT $items", __FILE__, __LINE__, true);

	$c = Array();
	while ($row = $db->fetch_row($q)) {

		saneHTML($row, "description");
		format::style($row["description"], $row["authorid"]);

		if ($row["thumbnail"])
			list($width, $height) = explode("x", $row["thumbnailsize"]);

		$return .= mklink(
			"index.php/module=downloads/action=view/title=".title_encode($row["title"])."?id={$row["id"]}",
			($row["thumbnail"] ? "<img class=\"photo\" src=\""._l("C_SITE.REL_URL")."{$row["thumbnail"]}\" width=\"{$width}\" height=\"{$height}\" alt=\"{$row["title"]}\" title=\"{$row["title"]}\" /><br />": "")."<b>{$row["title"]}</b>");
		$return .= "<br />{$row["description"]}<hr />";

	}

	$return = "<div style=\"text-align: center\">\n$return\n</div>\n";
?>