<?php

	/*
	*	Gekko - Open Source Web Development Framework
	*	------------------------------------------------------------------------
	*	Copyright (C) 2004-2006, J. Carlos Nieto <xiam@users.sourceforge.net>
	*	This program is Free Software.
	*
	*	@package	Gekko
	*	@license	http://www.gnu.org/copyleft/gpl.html GNU/GPL License 2.0
	*	@author		J. Carlos Nieto <xiam@users.sourceforge.net>
	*	@version	CVS: $Id: mod_categories.inc.php,v 1.1.1.1 2006/02/20 21:52:22 xiam Exp $
	*	@link		http://www.gekkoware.org
	*/

	if (!defined("IN-GEKKO")) die("Get a life!");
	
	if (!isset($keywords))
		abort("Error!");

	$db =& $GLOBALS["db"];

	LoadLib ("downloads");
	
	$cat_lock = "(downloadlink = '".implode("' OR downloadlink ='", Downloads::allowedCategories())."')";

	$p = $db->query("SELECT id, title, description
	FROM ".db_table("download_item")."
	WHERE ($cat_lock) AND (title LIKE '{$keywords}' OR description LIKE '{$keywords}')
	ORDER BY title DESC {$sql_limit}",
	__FILE__, __LINE__, true);
	
	while ($fetch_results && $row = $GLOBALS["db"]->fetch_row($p)) {
		$row["icon"] = "downloads.png";
		$row["title"] = mklink("index.php/module=downloads/action=item/title=".title_encode($row["title"])."?id={$row["id"]}", $row["title"]);

		if (gauth("downloads")) {
			$row["actions"] = new tplButtonBox();
				$row["actions"]->add(mklink("index.php/module=admin/base=downloads/action=edit_item?id={$row["id"]}", _l("L_EDIT"), "edit.png"));
				$row["actions"]->add(mklink("modules/downloads/main.act.php?action=delete_item&id={$row["id"]}&auth={C_AUTH_STR}", _l("L_DELETE"), "delete.png", true));
			$row["actions"] = $row["actions"]->make();
		}

		$data[] = $row;
	}

?>