<?php

	/*
	*	Gekko - Open Source Web Development Framework
	*	------------------------------------------------------------------------
	*	Copyright (C) 2004-2006, J. Carlos Nieto <xiam@users.sourceforge.net>
	*	This program is Free Software.
	*
	*	@package	Gekko
	*	@license	http://www.gnu.org/copyleft/gpl.html GNU/GPL License 2.0
	*	@author		J. Carlos Nieto <xiam@users.sourceforge.net>
	*	@version	CVS: $Id: admin.inc.php,v 1.1.1.1 2006/02/20 21:52:22 xiam Exp $
	*	@link		http://www.gekkoware.org
	*/

	if (!defined("IN-GEKKO")) die("Get a life!");

	LoadLib (
		"downloads"
	);

	Extract (
		URLGetArgs("null/nul/action=alpha?id=int&page=page")
	);

	setDefault("page", 1);

	switch ($action) {
		case "edit_item":
			$tpl = new ContentBlock();
			$tpl->insert("BLOCK_CONTENT", "downloads/category.admin.tpl");

			$db->query("SELECT id, downloadlink, title, description,
			thumbnail, thumbnailsize, downloadurl, authorid,
			lastupdated, creationtime, allowcomments, filesize
			FROM ".db_table("download_item")." WHERE id = '{$id}'", __FILE__, __LINE__);

			$row = $db->fetch_row();

			$tpl->set_arr($row);
			saneHTML($row, "description");

			$db->query("SELECT id, title
			FROM ".db_table("download")." WHERE id = '{$row["downloadlink"]}'", __FILE__, __LINE__);
			$row2 = $db->fetch_row();

			$tpl->set_arr (
				Array (
					"BLOCK_TITLE"		=> $row2["title"],
					"BLOCK_SUBTITLE"	=> _l("L_EDIT_ITEM"),
					"BLOCK_ICON"		=> mkIcon("download.png", 16),
					"ACTION"			=> "edit_item",
					"RETURN"			=> ""
				)
			);

			$mcBuff = $tpl->make();
		break;
		case "view_items":

			$tpl = new ContentBlock();
			$tpl->insert("BLOCK_CONTENT", "downloads/category.admin.tpl");

			$pager = $db->pager (
				"SELECT id FROM ".db_table("download_item")." WHERE downloadlink = '{$id}'",
				"index.php/module=admin/base=downloads/action=view_items?id={$id}&page=%p#items",
				$page, conf::getkey("downloads", "items_per_admin_page")
			);

			$db->query("SELECT id, title, description, thumbnail, thumbnailsize,
			downloadurl, allowcomments, lastupdated, authorid, filesize
			FROM ".db_table("download_item")." WHERE
			downloadlink = '{$id}' ORDER BY title ASC {$pager["sql"]}",
			__FILE__, __LINE__);


			while ($row = $db->fetch_row()) {

				saneHTML($row, "description");
				format::style($row["description"], $row["authorid"]);

				if ($row["thumbnail"])
					list($row["THUMBNAIL.WIDTH"], $row["THUMBNAIL.HEIGHT"]) = explode("x", $row["thumbnailsize"]);

				$row["ACTIONS"] = new tplButtonBox();
					$row["ACTIONS"]->add(mklink("index.php/module=admin/base=downloads/action=edit_item?id={$row["id"]}", _l("L_EDIT"), "edit.png"));
					$row["ACTIONS"]->add(mklink("modules/downloads/main.act.php?action=delete_item&id={$row["id"]}&auth={C_AUTH_STR}", _l("L_DELETE"), "delete.png", true));
				$row["ACTIONS"] = $row["ACTIONS"]->make();

				$tpl->set_arr($row, "ITEM");
				$tpl->saveBuff("ITEM");
			}

			$db->query("SELECT id, title FROM ".db_table("download")."
			WHERE id = '{$id}'", __FILE__, __LINE__);
			$row = $db->fetch_row();

			$tpl->set_arr (
				Array (
					"BLOCK_TITLE"		=> $row["title"],
					"BLOCK_SUBTITLE"	=> _l("L_ADD_ITEM"),
					"BLOCK_ICON"		=> mkIcon("download.png", 16),
					"DOWNLOADLINK"		=> $id,
					"TITLE"				=> "",
					"ACTION"			=> "add_item",
					"DESCRIPTION"		=> "",
					"FILESIZE"			=> 0,
					"PAGER"				=> $pager["html"],
					"ALLOWCOMMENTS"		=> 1,
					"RETURN"			=> ""
				)
			);

			$mcBuff = $tpl->make();
		break;
		case "edit":

			$tpl = new ContentBlock();
			$tpl->insert("BLOCK_CONTENT", "downloads/index.admin.tpl");

			$db->query("SELECT
			id, categorylink, title, description, status, thumbnail,
			thumbnailsize, authorid, lastupdated, auth_access
			FROM ".db_table("download")." WHERE id = '{$id}'
			", __FILE__, __LINE__);

			$row = $db->fetch_row();

			if ($row["thumbnail"])
				list($row["THUMBNAIL.WIDTH"], $row["THUMBNAIL.HEIGHT"]) = explode("x", $row["thumbnailsize"]);

			$tpl->set_arr($row);

			$tpl->set_arr (
				Array (
					"BLOCK_ICON"		=> mkIcon("downloads.png", 16),
					"BLOCK_TITLE"		=> $row["title"],
					"BLOCK_SUBTITLE"	=> _l("L_EDIT_CATEGORY"),
					"CATEGORIES.SEL"	=> mkSelect(Categories::fetchList(), $row["categorylink"], "categorylink"),
					"ACTION"			=> "edit",
					"GALLERIES"			=> 0,
					"RETURN"			=> ""
				)
			);

			$mcBuff = $tpl->make();

		break;
		default:

			// at least one category is required
			$categories = Categories::fetchList(true);

			$tpl = new ContentBlock();
			$tpl->insert("BLOCK_CONTENT", "downloads/index.admin.tpl");

			$db->query("SELECT
			id, title, description, categorylink, status, thumbnail, thumbnailsize,
			authorid, lastupdated
			FROM ".db_table("download")."
			ORDER BY categorylink ASC, title ASC",
			__FILE__, __LINE__);

			if ($db->num_rows()) {
				$catnames = Array();
				while ($row = $db->fetch_row()) {

					if (!isset($catnames[$row["categorylink"]])) {
						if (count($catnames)) {
							// saving buffer & reseting subcategory block
							$tpl->saveBuff("CATEGORY");
							$tpl->reset("CATEGORY.SUBCATEGORY");
						}
						// new category
						$catnames[$row["categorylink"]] = true;
						$tpl->set_arr (
							Array (
								"CATEGORY" => Categories::getCategory($row["categorylink"], true)
							), "CATEGORY"
						);
					}

					if ($row["thumbnailsize"])
						list($row["THUMBNAIL.WIDTH"], $row["THUMBNAIL.HEIGHT"]) = explode("x", $row["thumbnailsize"]);

					$row["BUTTONS"] = new tplButtonBox();
						$row["BUTTONS"]->add(mklink("index.php/module=admin/base=downloads/action=view_items?id={$row["id"]}", _l("L_ITEMS"), "new.png"));
						$row["BUTTONS"]->add(mklink("index.php/module=admin/base=downloads/action=edit?id={$row["id"]}", _l("L_EDIT"), "edit.png"));
						$row["BUTTONS"]->add(mklink("modules/downloads/main.act.php?action=delete&id={$row["id"]}&auth={C_AUTH_STR}", _l("L_DELETE"), "delete.png", true));
						$row["BUTTONS"]->add(mklink("modules/downloads/main.act.php?action=".($row["status"] ? "disable" : "enable")."&id={$row["id"]}&auth={C_AUTH_STR}", _L($row["status"] ? "L_DISABLED": "L_ENABLED"), "status.png"));
					$row["BUTTONS"] = $row["BUTTONS"]->make();

					$tpl->set_arr($row, "CATEGORY.SUBCATEGORY");
					$tpl->saveBuff("CATEGORY.SUBCATEGORY");
				}
				$tpl->saveBuff("CATEGORY");
			}

			$tpl->set_arr (
				Array (
					"BLOCK_ICON"		=> mkIcon("downloads.png", 16),
					"BLOCK_TITLE"		=> _l("L_DOWNLOADS"),
					"BLOCK_SUBTITLE"	=> _l("L_CREATE_CATEGORY"),
					"CATEGORIES.SEL"	=> mkSelect($categories, 0, "categorylink"),
					"ACTION"			=> "create",
					"TITLE"				=> "",
					"DESCRIPTION"		=> "",
					"STATUS"			=> 1,
					"THUMBNAIL"			=> "",
					"AUTH_ACCESS"		=> "*",
					"RETURN"			=> ""
				)
			);
			$mcBuff = $tpl->make();

		break;
	}
?>